FreeNAS - Bug #52085

Display user-selected theme after login in new Ul
10/19/2018 06:05 AM - James Majerus

Status: Done
Priority: No priority
Assignee: Lola Yang
Category: GUI (new)
Target version: 11.2-RC2
Seen in: 11.2-RC1 Needs Merging: No
Severity: New Needs Automation: No
Reason for Closing: Support Suite Ticket: n/a
Reason for Blocked: Hardware
Configuration:
Needs QA: No Changelog No
Required:
Needs Doc: No
Description

The new Ul will load (white) then it will load the theme selected which seems odd.

History

#1 - 10/19/2018 06:53 AM - Dru Lavigne
- Assignee changed from Release Council to Lola Yang

- Target version changed from Backlog to 11.2-RC2

#3 - 10/25/2018 02:43 PM - Lola Yang

- Status changed from Unscreened to In Progress

master: https://github.com/freenas/webui/pull/1417
and https://github.com/freenas/webui/pull/1426/
stable: https://github.com/freenas/webui/pull/1418
and https://github.com/freenas/webui/pull/1427

#4 - 10/25/2018 08:05 PM - Dru Lavigne

- Subject changed from New Ul theme loads original theme then switches to selected theme. Looks bad. to Display user-selected theme after login in
new Ul

- Status changed from In Progress to Ready for Testing
- Needs Doc changed from Yes to No

- Needs Merging changed from Yes to No

#5 - 10/30/2018 01:11 PM - Bonnie Follweiler
- File Bug52085.mov added
- Status changed from Ready for Testing to Failed Testing

| took a video to show the issues with Solarized Dark as my selected Ul theme
In the upper left corner the word truenas appears and is replaced
The background flashes white and then shows up
https://github.com/freenas/webui/pull/1417
https://github.com/freenas/webui/pull/1426/
https://github.com/freenas/webui/pull/1418
https://github.com/freenas/webui/pull/1427

#6 - 10/31/2018 04:44 PM - Erin Clark
- Status changed from Failed Testing to Ready for Testing

https://github.com/freenas/webui/pull/1466 and https:/github.com/freenas/webui/pull/1465 merged to fix

#7 - 11/01/2018 01:34 PM - Bonnie Follweiler
- File firefox_login.mov added

- File Chrome_login.mov added
#9 - 11/02/2018 08:36 AM - Bonnie Follweiler

- Status changed from Ready for Testing to Passed Testing
- Needs QA changed from Yes to No

Test passed in FreeNAS-11.2-INTERNAL33

#10 - 11/02/2018 08:39 AM - Dru Lavigne

- Status changed from Passed Testing to Done

Files

FreeNas.gif 4.18 MB 10/19/2018 James Majerus
Bug52085.mov 37.1 MB 10/30/2018 Bonnie Follweiler
firefox_login.mov 10.5 MB 11/01/2018 Bonnie Follweiler
Chrome_login.mov 2.87 MB 11/01/2018 Bonnie Follweiler
